Package twisted :: Package internet :: Module interfaces :: Class IUDPTransport |
[frames | no frames]

## Class IUDPTransport

    Interface --+
                |
               IUDPTransport

Transport for UDP PacketProtocols.

Method Summary
| ``getHost`(self)` Return ('INET_UDP', interface, port) we are listening on.
| ``write`(self, packet, (host, port))` Write packet to given address.

Method Details

### getHost(self) Return ('INET_UDP', interface, port) we are listening on.

### write(self, packet, (host, port)) Write packet to given address. Might raise error.ConnectionRefusedError.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net